<?php
function _civicactions_requirements($phase) {
  $requirements = array();
  // Ensure translations don't break at install time
  $t = get_t();
  if ($phase == 'runtime') {
    if (($entries = _civicactions_get_svn_entries()) && !empty($entries['tag'])) {
      $requirements['civicactions'] = array(
        'title' => $t('CivicActions Release Tag'),
        'value' => l($entries['tag'] .' r'. $entries['revision'], $entries['tag']) .' ('. l(t('patches'), 'admin/reports/patch') .')',
        'severity' => REQUIREMENT_OK
      );
    }
  }
  return $requirements;
}

function _civicactions_get_svn_entries() {
  $path = conf_path() .'/.svn/entries';
  if (file_exists($path)) {
    $entries = file($path);
    return array('tag' => rtrim($entries[4]), 'revision' => rtrim($entries[10]));
  }
}
